Uploaded image for project: 'Ranger'
  1. Ranger
  2. RANGER-2307

Native code can segfault or return misleading error messages

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 1.2.0
    • Fix Version/s: 2.0.0
    • Component/s: usersync
    • Labels:
    • Flags:
      Patch

      Description

      Currently credValidator and pamCredValidator don't handle well configuration problems - when the user doesn't have permission to read /etc/shadow or access pam, or when the shadow file is not filled properly. This could cause 'core dumps', and hard to fix deployment issues

        Attachments

        1. RANGER-2307-native-fixes.patch
          2 kB
          Zsombor Gegesy

          Activity

            People

            • Assignee:
              zsombor Zsombor Gegesy
              Reporter:
              zsombor Zsombor Gegesy
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: